<?php

namespace Drupal\rabbit_hole_href;

use Drupal\Core\Url;
use Drupal\Core\Entity\EntityInterface;

/**
 * Interface CanonicalLinkDelegateResolverInterface.
 *
 * @package Drupal\rabbit_hole_href
 */
interface CanonicalLinkDelegateResolverInterface {

  /**
   * Returns the canonical URL delegate of the given entity.
   *
   * @param EntityInterface $entity
   * @return Url
   */
  public function getCanonicalUrlDelegate(EntityInterface $entity);
}
